aboutsummaryrefslogtreecommitdiff
path: root/aux/checks/shellcheck.sh
diff options
context:
space:
mode:
Diffstat (limited to 'aux/checks/shellcheck.sh')
-rwxr-xr-xaux/checks/shellcheck.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/aux/checks/shellcheck.sh b/aux/checks/shellcheck.sh
new file mode 100755
index 0000000..40fd364
--- /dev/null
+++ b/aux/checks/shellcheck.sh
@@ -0,0 +1,6 @@
+#!/bin/sh
+set -eu
+
+find . -name '*.sh' -print0 |
+ xargs -0 awk 'FNR==1 && /^#!\/bin\/sh$/ { print FILENAME }' |
+ xargs shellcheck